/*
 * @Author: your name
 * @Date: 2021-04-14 14:12:19
 * @LastEditTime: 2021-07-14 21:29:01
 * @LastEditors: Please set LastEditors
 * @Description: In User Settings Edit
 * @FilePath: \evm-store\frontend\src\main.js
 */
import Vue from "vue";

import "normalize.css/normalize.css";

import ElementUI from "element-ui";
import "element-ui/lib/theme-chalk/index.css";
import "@/styles/index.scss";
import "@/styles/theme-blue/index.css";

import App from "./App";
import store from "./store";
import router from "./router";

import "@/icons";
import "@/permission";
import "@/icons/icon.js";
import "@/icons/icon-color.js";
import IconFont from "@/components/IconFont";

import myCharts from '@/utils/myCharts.js';
Vue.use(myCharts)

/**
 * If you don't want to use mock-server
 * you want to use MockJs for mock api
 * you can execute: mockXHR()
 *
 * Currently MockJs will be used in the production environment,
 * please remove it before going online! ! !
 */

// import { mockXHR } from '../mock'
// if (process.env.NODE_ENV === 'production') {
//   mockXHR()
// }

// import CollapseTransition from "element-ui/lib/transitions/collapse-transition";
// The second argument is optional and sets the default config values for every player.
// Vue.component(CollapseTransition.name, CollapseTransition);

Vue.component("IconFont", IconFont);

// set ElementUI lang to EN
// Vue.use(ElementUI, { locale })
// 如果想要中文版 element-ui，按如下方式声明
Vue.use(ElementUI);
Vue.config.productionTip = false;

new Vue({
  el: "#app",
  router,
  store,
  render: (h) => h(App),
});
